FROM registry.gitlab.com/clarin-eric/docker-alpine-nginx:2.1.1

ENV EXTERNAL_SSL=0

RUN apk add --no-cache \
            inotify-tools=3.20.11.0-r0

COPY init.sh /init/docker-alpine-nginx-init.sh
COPY nginx_reloader.bash /nginx_reloader.bash
COPY fluentd/nginx_reloader.conf /etc/fluentd/conf.d/nginx_reloader.conf

RUN chmod ugo+x /nginx_reloader.bash